<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>com.sk89q.worldedit.event.platform (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.sk89q.worldedit.event.platform (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/event/extent/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../com/sk89q/worldedit/extension/factory/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/event/platform/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;com.sk89q.worldedit.event.platform</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/event/platform/BlockInteractEvent.html" title="class in com.sk89q.worldedit.event.platform">BlockInteractEvent</a></td>
<td class="colLast">
<div class="block">Called when a block is interacted with.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/event/platform/CommandEvent.html" title="class in com.sk89q.worldedit.event.platform">CommandEvent</a></td>
<td class="colLast">
<div class="block">This class is currently only for internal use.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/event/platform/CommandSuggestionEvent.html" title="class in com.sk89q.worldedit.event.platform">CommandSuggestionEvent</a></td>
<td class="colLast">
<div class="block">Posted when suggestions for auto-completion are requested for command input.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/event/platform/ConfigurationLoadEvent.html" title="class in com.sk89q.worldedit.event.platform">ConfigurationLoadEvent</a></td>
<td class="colLast">
<div class="block">Raised when the configuration has been loaded or re-loaded.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/event/platform/PlatformInitializeEvent.html" title="class in com.sk89q.worldedit.event.platform">PlatformInitializeEvent</a></td>
<td class="colLast">
<div class="block">Fired when configuration has been loaded and the platform is in the
 intialization stage.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/event/platform/PlatformReadyEvent.html" title="class in com.sk89q.worldedit.event.platform">PlatformReadyEvent</a></td>
<td class="colLast">
<div class="block">Raised when a platform thinks that all the platforms have had a chance to
 register themselves.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/event/platform/PlayerInputEvent.html" title="class in com.sk89q.worldedit.event.platform">PlayerInputEvent</a></td>
<td class="colLast">
<div class="block">Raised whenever a player sends input.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/event/platform/InputType.html" title="enum in com.sk89q.worldedit.event.platform">InputType</a></td>
<td class="colLast">
<div class="block">The type of input sent.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/event/platform/Interaction.html" title="enum in com.sk89q.worldedit.event.platform">Interaction</a></td>
<td class="colLast">
<div class="block">The type of interaction.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/event/extent/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../com/sk89q/worldedit/extension/factory/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/event/platform/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
